<?php

namespace App\Http\Controllers\Api;


use App\Jobs\DesktopDeviceJob;
use App\Jobs\ProcessDataJob;
use App\Jobs\SendDataJob;
use Illuminate\Http\Request;


class JobController extends BaseController
{
    //温度压力传感器设备
    public function processDataJobAdd(Request $request)
    {
        dispatch(new ProcessDataJob($request->all()))->onQueue('cloud_device');
    }

    //桌面设备
    public function processDataJobAddDevice(Request $request){
        dispatch(new DesktopDeviceJob($request->all()))->onQueue('desktop_device');
    }
}
